List AI Inbox Manager replies
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/replies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a08b36-6a38-7bac-a099-831e6e949d94",
"organization_id": "01a08b36-6a38-7bac-a099-831f45b27c38",
"timestamp_created": "2026-09-10T12:06:34.296Z",
"timestamp_updated": "2026-09-10T12:06:34.296Z",
"agent_id": "01a08b36-6a38-7bac-a099-83202db10ea9",
"thread_id": "3c-zuFiJhv7cqJE5IoKkg6Pzh9",
"lead": "john@example.com",
"feedback_positive": true,
"feedback_text": "Great response!",
"html": "<p>Hello, John!</p>",
"requires_hitl": true,
"requires_hitl_reason": "Low confidence score detected",
"generation_lag_seconds": 2.5,
"is_automatic_email": false,
"in_reply_to": "reply_12345",
"usage_metadata": {},
"calendly_tool_used": false,
"confidence_score": 92,
"information_requested": "Please confirm your availability.",
"estimated_time_saved_seconds": 30,
"action_pending": true,
"sending_status": 1,
"is_followup": true,
"error_code": "SEND_FAILED"
}
],
"next_starting_after": "01a08b36-b23c-7a51-9baa-7a362e6009c3"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
List AI Inbox Manager replies
List the replies and follow-ups generated by an AI Inbox Manager, newest first.
Requires one of the following scopes: ai_sdr_replies:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
inbox-manager
/
{id}
/
replies
List AI Inbox Manager replies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Inbox Manager ID
Example:
"0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e"
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01956fbd-0eb1-72db-a565-82977a586084"
Filter by whether the reply requires human-in-the-loop review
Example:
true
Filter by whether the agent requested more information
Example:
false
Filter by whether the reply still requires action from the user
Example:
true